## org.eclipse.emf.codegen.ecore.genmodel
Interface GenModel

All Superinterfaces:
  EObject, GenBase, Notifier

All Known Implementing Classes:
  GenModelImpl

    public interface GenModel

extends GenBase

A representation of the model object 'GenModel'.

The following features are supported:

- `Copyright Text`
- `Model Directory`
- `Creation Commands`
- `Creation Icons`
- `Creation Submenus`
- `Edit Directory`
- `Editor Directory`
- `Model Plugin ID`
- `Template Directory`
- `Runtime Jar`
- `Foreign Model`
- `Dynamic Templates`
- `Redirection`
- `Force Overwrite`
- `Non Externalized String Tag`
- `Model Name`
- `Model Plugin Class`
- `Edit Plugin Class`
- `Editor Plugin Class`
- `Update Classpath`
- `Generate Schema`
- `Non NLS Markers`
- `Static Packages`
- `Model Plugin Variables`
- `Root Extends Interface`
- `Root Extends Class`
- `Root Implements Interface`
- `Suppress EMF Types`
- `Suppress EMF Meta Data`
- `Suppress EMF Model Tags`
- `Suppress Interfaces`
- `Feature Map Wrapper Interface`
- `Feature Map Wrapper Internal Interface`
- `Feature Map Wrapper Class`
- `Runtime Compatibility`
- `Rich Client Platform`
- `Reflective Delegation`
- `Code Formatting`
- `Tests Directory`
- `Test Suite Class`
- `Boolean Flags Field`
- `Boolean Flags Reserved Bits`
- `Importer ID`
- `Bundle Manifest`
- `Feature Delegation`
- `Containment Proxies`
- `Minimal Reflective Methods`
- `Suppress Containment`
- `Suppress Notification`
- `Array Accessors`
- `Suppress Unsettable`
- `Facade Helper Class`
- `Compliance Level`
- `Suppress Gen Model Annotations`
- `Copyright Fields`
- `Binary Compatible Reflective Methods`
- `Public Constructors`
- `Template Plugin Variables`
- `Provider Root Extends Class`
- `Edit Plugin ID`
- `Edit Plugin Variables`
- `Editor Plugin ID`
- `Editor Plugin Variables`
- `Tests Plugin ID`
- `Tests Plugin Variables`
- `Optimized Has Children`
- `Table Providers`
- `Color Providers`
- `Font Providers`
- `Runtime Version`
- `Language`
- `Packed Enums`
- `Gen Packages`
- `Used Gen Packages`

See Also:
  `GenModelPackage.getGenModel()`

Method Summary
`void` `addImport(java.lang.String qualifiedName)`
`void` `addPseudoImport(java.lang.String qualifiedName)`
`java.util.List<GenPackage>` `computeMissingUsedGenPackages()`
`GenBase` `create(EClass eClass)`
`org.eclipse.jdt.core.formatter.CodeFormatter` `createCodeFormatter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenAnnotation` `createGenAnnotation()`
`GenClass` `createGenClass()`
`GenDataType` `createGenDataType()`
`GenEnum` `createGenEnum()`
`GenEnumLiteral` `createGenEnumLiteral()`
`GenFeature` `createGenFeature()`
`GenModel` `createGenModel()`
`GenOperation` `createGenOperation()`
`GenPackage` `createGenPackage()`
`GenParameter` `createGenParameter()`
`GenTypeParameter` `createGenTypeParameter()`
`Diagnostic` `diagnose()`
`void` `emitSortedImports()`
`GenClassifier` `findGenClassifier(EClassifier eClassifier)`
`GenPackage` `findGenPackage(EPackage ePackage)`
`JETEmitter` `getActionBarContributorEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getAdapterFactoryClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.util.List<GenPackage>` `getAllGenAndUsedGenPackagesWithClassifiers()`
`java.util.List<GenFeature>` `getAllGenFeatures()`
`java.util.List<GenPackage>` `getAllGenPackagesWithClassifiers()`
`java.util.List<GenPackage>` `getAllGenUsedAndStaticGenPackagesWithClassifiers()`
`java.util.List<GenPackage>` `getAllUsedGenPackagesWithClassifiers()`
`java.lang.String` `getBooleanFlagsField()` Returns the value of the 'Boolean Flags Field' attribute
`int` `getBooleanFlagsReservedBits()` Returns the value of the 'Boolean Flags Reserved Bits' attribute.
`JETEmitter` `getBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenJDKLevel` `getComplianceLevel()` Returns the value of the 'Compliance Level' attribute.
`java.lang.String` `getCopyrightFieldLiteral()`
`java.lang.String` `getCopyrightText()` Returns the value of the 'Copyright Text' attribute
`java.lang.String` `getDate()`
`java.lang.String` `getDriverNumber()`
`JETEmitter` `getEditBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditDirectory()` Returns the value of the 'Edit Directory' attribute
`java.lang.String` `getEditIconsDirectory()`
`JETEmitter` `getEditManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorAdvisorClassName()`
`JETEmitter` `getEditorAdvisorEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getEditorBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorDirectory()` Returns the value of the 'Editor Directory' attribute
`JETEmitter` `getEditorEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorIconsDirectory()`
`JETEmitter` `getEditorManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorPluginClass()` Returns the value of the 'Editor Plugin Class' attribute
`JETEmitter` `getEditorPluginClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorPluginClassName()`
`java.lang.String` `getEditorPluginDirectory()`
`java.lang.String` `getEditorPluginID()` Returns the value of the 'Editor Plugin ID' attribute
`java.lang.String` `getEditorPluginPackageName()`
`JETEmitter` `getEditorPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`EList<java.lang.String>` `getEditorPluginVariables()` Returns the value of the 'Editor Plugin Variables' attribute list.
`JETEmitter` `getEditorPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorProjectDirectory()`
`java.util.List<java.lang.String>` `getEditorQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getEditorRequiredPlugins()`
`java.util.List<java.lang.String>` `getEditorSourceFolders()` Returns the source folders for the editor project.
`java.lang.String` `getEditPluginClass()` Returns the value of the 'Edit Plugin Class' attribute
`JETEmitter` `getEditPluginClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditPluginClassName()`
`java.lang.String` `getEditPluginDirectory()`
`java.lang.String` `getEditPluginID()` Returns the value of the 'Edit Plugin ID' attribute
`java.lang.String` `getEditPluginPackageName()`
`JETEmitter` `getEditPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`EList<java.lang.String>` `getEditPluginVariables()` Returns the value of the 'Edit Plugin Variables' attribute list.
`JETEmitter` `getEditPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditProjectDirectory()`
`java.util.List<java.lang.String>` `getEditQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getEditRequiredPlugins()`
`java.util.List<java.lang.String>` `getEditResourceDelegateImportedPluginClassNames()`
`java.util.List<java.lang.String>` `getEditSourceFolders()` Returns the source folders for the edit project.
`java.util.List<java.lang.String>` `getEffectiveModelPluginVariables()`
`JETEmitter` `getEnumClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`ExtendedMetaData` `getExtendedMetaData()`
`java.lang.String` `getFacadeHelperClass()` Returns the value of the 'Facade Helper Class' attribute.
`JETEmitter` `getFactoryClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenDelegationKind` `getFeatureDelegation()` Returns the value of the 'Feature Delegation' attribute.
`java.lang.String` `getFeatureMapWrapperClass()` Returns the value of the 'Feature Map Wrapper Class' attribute
`java.lang.String` `getFeatureMapWrapperInterface()` Returns the value of the 'Feature Map Wrapper Interface' attribute
`java.lang.String` `getFeatureMapWrapperInternalInterface()` Returns the value of the 'Feature Map Wrapper Internal Interface' attribute
`java.util.List<GenFeature>` `getFilteredAllGenFeatures()`
`EList<java.lang.String>` `getForeignModel()` Returns the value of the 'Foreign Model' attribute list.
`EList<GenPackage>` `getGenPackages()` Returns the value of the 'Gen Packages' containment reference list.
`java.lang.String` `getImportedName(java.lang.String qualifiedName)`
`java.lang.String` `getImporterID()` Returns the value of the 'Importer ID' attribute
`ImportManager` `getImportManager()`
`java.lang.String` `getIndentation(java.lang.StringBuffer stringBuffer)`
`JETEmitter` `getItemProviderAdapterFactoryEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getItemProviderEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JControlModel` `getJControlModel()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getLanguage()` Returns the value of the 'Language' attribute
`java.lang.String` `getLineDelimiter()`
`java.util.Locale` `getLocale()`
`JETEmitter` `getManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getMergeRulesLocation()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator.Options` provides an equivalent way to obtain this information. This method will be removed after 2.2.
`java.util.List<EPackage>` `getMissingPackages()`
`java.lang.String` `getModelDirectory()` Returns the value of the 'Model Directory' attribute
`java.lang.String` `getModelName()` Returns the value of the 'Model Name' attribute
`java.lang.String` `getModelPluginClass()` Returns the value of the 'Model Plugin Class' attribute
`JETEmitter` `getModelPluginClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getModelPluginClassName()`
`java.lang.String` `getModelPluginID()` Returns the value of the 'Model Plugin ID' attribute
`java.lang.String` `getModelPluginPackageName()`
`EList<java.lang.String>` `getModelPluginVariables()` Returns the value of the 'Model Plugin Variables' attribute list.
`java.lang.String` `getModelProjectDirectory()`
`java.util.List<java.lang.String>` `getModelQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getModelRequiredPlugins()`
`java.util.List<java.lang.String>` `getModelSourceFolders()` Returns the source folders for the model project.
`JETEmitter` `getModelTestSuiteEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getModelWizardEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getNonExternalizedStringTag()` Returns the value of the 'Non Externalized String Tag' attribute
`java.lang.String` `getNonNLS()`
`java.lang.String` `getNonNLS(int i)`
`java.lang.String` `getNonNLS(java.lang.String s)`
`java.lang.String` `getNonNLS(java.lang.String s, int i)`
`JETEmitter` `getPackageClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getPackageExampleEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getPackageTestSuiteEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.util.Set<java.lang.String>` `getPropertyCategories()`
`java.lang.String` `getPropertyCategoryKey(java.lang.String category)`
`java.lang.String` `getProviderRootExtendsClass()` Returns the value of the 'Provider Root Extends Class' attribute
`java.lang.String` `getQualifiedEditorAdvisorClassName()`
`java.lang.String` `getQualifiedEditorPluginClassName()`
`java.lang.String` `getQualifiedEditPluginClassName()`
`java.lang.String` `getQualifiedModelPluginClassName()`
`java.lang.String` `getQualifiedTestSuiteClassName()`
`java.lang.String` `getRedirection()` Returns the value of the 'Redirection' attribute
`java.lang.String` `getRelativeGenModelLocation()`
`JETEmitter` `getResourceClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getResourceFactoryClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getRootExtendsClass()` Returns the value of the 'Root Extends Class' attribute.
`java.lang.String` `getRootExtendsInterface()` Returns the value of the 'Root Extends Interface' attribute.
`java.lang.String` `getRootImplementsInterface()` Returns the value of the 'Root Implements Interface' attribute
`GenClass` `getRootImplementsInterfaceGenClass()`
`GenRuntimeVersion` `getRuntimeVersion()` Returns the value of the 'Runtime Version' attribute.
`EList<GenPackage>` `getStaticGenPackages()`
`EList<java.lang.String>` `getStaticPackages()` Returns the value of the 'Static Packages' attribute list.
`JETEmitter` `getSwitchClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTemplateDirectory()` Returns the value of the 'Template Directory' attribute
`EList<java.lang.String>` `getTemplatePluginVariables()` Returns the value of the 'Template Plugin Variables' attribute list.
`JETEmitter` `getTestCaseEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getTestsBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTestsDirectory()` Returns the value of the 'Tests Directory' attribute
`JETEmitter` `getTestsManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTestsPluginID()` Returns the value of the 'Tests Plugin ID' attribute
`JETEmitter` `getTestsPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`EList<java.lang.String>` `getTestsPluginVariables()` Returns the value of the 'Tests Plugin Variables' attribute list.
`JETEmitter` `getTestsPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTestsProjectDirectory()`
`java.util.List<java.lang.String>` `getTestsQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getTestsRequiredPlugins()`
`java.util.List<java.lang.String>` `getTestsSourceFolders()` Returns the source folders for the tests project.
`java.lang.String` `getTestSuiteClass()` Returns the value of the 'Test Suite Class' attribute
`java.lang.String` `getTestSuiteClassName()`
`java.lang.String` `getTestSuitePackageName()`
`EList<GenPackage>` `getUsedGenPackages()` Returns the value of the 'Used Gen Packages' reference list.
`JETEmitter` `getValidatorClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getXMLEncodingChoices()`
`JETEmitter` `getXMLProcessorClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`boolean` `hasCopyrightField()`
`boolean` `hasEditorSupport()`
`boolean` `hasEditSupport()`
`boolean` `hasLocalGenModel()`
`boolean` `hasModelPluginClass()`
`boolean` `hasPluginSupport()`
`boolean` `hasTestSuiteClass()`
`boolean` `hasTestSupport()`
`boolean` `hasXMLDependency()`
`void` `initialize(java.util.Collection<? extends EPackage> ePackages)`
`boolean` `isArrayAccessors()` Returns the value of the 'Array Accessors' attribute
`boolean` `isBinaryCompatibleReflectiveMethods()` Returns the value of the 'Binary Compatible Reflective Methods' attribute
`boolean` `isBooleanFlagsEnabled()`
`boolean` `isBundleManifest()` Returns the value of the 'Bundle Manifest' attribute.
`boolean` `isCodeFormatting()` Returns the value of the 'Code Formatting' attribute
`boolean` `isColorProviders()` Returns the value of the 'Color Providers' attribute
`boolean` `isContainmentProxies()` Returns the value of the 'Containment Proxies' attribute
`boolean` `isCopyrightFields()` Returns the value of the 'Copyright Fields' attribute.
`boolean` `isCreationCommands()` Returns the value of the 'Creation Commands' attribute.
`boolean` `isCreationIcons()` Returns the value of the 'Creation Icons' attribute.
`boolean` `isCreationSubmenus()` Returns the value of the 'Creation Submenus' attribute
`boolean` `isDynamicTemplates()` Returns the value of the 'Dynamic Templates' attribute
`boolean` `isFontProviders()` Returns the value of the 'Font Providers' attribute
`boolean` `isForceOverwrite()` Returns the value of the 'Force Overwrite' attribute
`boolean` `isGenerateSchema()` Returns the value of the 'Generate Schema' attribute
`boolean` `isMinimalReflectiveMethods()` Returns the value of the 'Minimal Reflective Methods' attribute.
`boolean` `isNonNLSMarkers()` Returns the value of the 'Non NLS Markers' attribute.
`boolean` `isOptimizedHasChildren()` Returns the value of the 'Optimized Has Children' attribute
`boolean` `isPackedEnums()` Returns the value of the 'Packed Enums' attribute
`boolean` `isPublicConstructors()` Returns the value of the 'Public Constructors' attribute
`boolean` `isReflectiveDelegation()` Returns the value of the 'Reflective Delegation' attribute
`boolean` `isRichClientPlatform()` Returns the value of the 'Rich Client Platform' attribute
`boolean` `isRuntimeCompatibility()` Returns the value of the 'Runtime Compatibility' attribute
`boolean` `isRuntimeJar()` Returns the value of the 'Runtime Jar' attribute
`boolean` `isSetEditDirectory()` Returns whether the value of the '`Edit Directory`' attribute is set
`boolean` `isSetEditorDirectory()` Returns whether the value of the '`Editor Directory`' attribute is set
`boolean` `isSetEditorPluginClass()` Returns whether the value of the '`Editor Plugin Class`' attribute is set
`boolean` `isSetEditPluginClass()` Returns whether the value of the '`Edit Plugin Class`' attribute is set
`boolean` `isSetRuntimeVersion()` Returns whether the value of the '`Runtime Version`' attribute is set
`boolean` `isSetTestsDirectory()` Returns whether the value of the '`Tests Directory`' attribute is set
`boolean` `isSetTestSuiteClass()` Returns whether the value of the '`Test Suite Class`' attribute is set
`boolean` `isSuppressContainment()` Returns the value of the 'Suppress Containment' attribute
`boolean` `isSuppressedAnnotation(java.lang.String source)`
`boolean` `isSuppressEMFMetaData()` Returns the value of the 'Suppress EMF Meta Data' attribute
`boolean` `isSuppressEMFModelTags()` Returns the value of the 'Suppress EMF Model Tags' attribute
`boolean` `isSuppressEMFTypes()` Returns the value of the 'Suppress EMF Types' attribute
`boolean` `isSuppressGenModelAnnotations()` Returns the value of the 'Suppress Gen Model Annotations' attribute.
`boolean` `isSuppressInterfaces()` Returns the value of the 'Suppress Interfaces' attribute
`boolean` `isSuppressNotification()` Returns the value of the 'Suppress Notification' attribute
`boolean` `isSuppressUnsettable()` Returns the value of the 'Suppress Unsettable' attribute
`boolean` `isTableProviders()` Returns the value of the 'Table Providers' attribute
`boolean` `isUpdateClasspath()` Returns the value of the 'Update Classpath' attribute.
`boolean` `isValidateModel()`
`boolean` `isVirtualDelegation()`
`void` `markImportLocation(java.lang.StringBuffer stringBuffer)`
`void` `markImportLocation(java.lang.StringBuffer stringBuffer, GenPackage genPackage)`
`boolean` `needsRuntimeCompatibility()`
`boolean` `reconcile(GenModel oldGenModelVersion)` Restore all the corresponding settings of the old version into this version.
`boolean` `sameEditEditorProject()`
`boolean` `sameModelEditorProject()`
`boolean` `sameModelEditProject()`
`boolean` `sameModelTestsProject()`
`void` `setArrayAccessors(boolean value)` Sets the value of the '`Array Accessors`' attribute
`void` `setBinaryCompatibleReflectiveMethods(boolean value)` Sets the value of the '`Binary Compatible Reflective Methods`' attribute
`void` `setBooleanFlagsField(java.lang.String value)` Sets the value of the '`Boolean Flags Field`' attribute
`void` `setBooleanFlagsReservedBits(int value)` Sets the value of the '`Boolean Flags Reserved Bits`' attribute
`void` `setBundleManifest(boolean value)` Sets the value of the '`Bundle Manifest`' attribute
`void` `setCanGenerate(boolean canGenerate)`
`void` `setCodeFormatterOptions(java.util.Map options)` Deprecated. In EMF 2.2, the `Generator.Options` should be used to record code formatter options in order to be used via the new Generator-based design. This method will be removed after 2.2.
`void` `setCodeFormatting(boolean value)` Sets the value of the '`Code Formatting`' attribute
`void` `setColorProviders(boolean value)` Sets the value of the '`Color Providers`' attribute
`void` `setComplianceLevel(GenJDKLevel value)` Sets the value of the '`Compliance Level`' attribute
`void` `setContainmentProxies(boolean value)` Sets the value of the '`Containment Proxies`' attribute
`void` `setCopyrightFields(boolean value)` Sets the value of the '`Copyright Fields`' attribute
`void` `setCopyrightText(java.lang.String value)` Sets the value of the '`Copyright Text`' attribute
`void` `setCreationCommands(boolean value)` Sets the value of the '`Creation Commands`' attribute
`void` `setCreationIcons(boolean value)` Sets the value of the '`Creation Icons`' attribute
`void` `setCreationSubmenus(boolean value)` Sets the value of the '`Creation Submenus`' attribute
`void` `setDynamicTemplates(boolean value)` Sets the value of the '`Dynamic Templates`' attribute
`void` `setEditDirectory(java.lang.String value)` Sets the value of the '`Edit Directory`' attribute
`void` `setEditorDirectory(java.lang.String value)` Sets the value of the '`Editor Directory`' attribute
`void` `setEditorPluginClass(java.lang.String value)` Sets the value of the '`Editor Plugin Class`' attribute
`void` `setEditorPluginID(java.lang.String value)` Sets the value of the '`Editor Plugin ID`' attribute
`void` `setEditPluginClass(java.lang.String value)` Sets the value of the '`Edit Plugin Class`' attribute
`void` `setEditPluginID(java.lang.String value)` Sets the value of the '`Edit Plugin ID`' attribute
`void` `setFacadeHelperClass(java.lang.String value)` Sets the value of the '`Facade Helper Class`' attribute
`void` `setFeatureDelegation(GenDelegationKind value)` Sets the value of the '`Feature Delegation`' attribute
`void` `setFeatureMapWrapperClass(java.lang.String value)` Sets the value of the '`Feature Map Wrapper Class`' attribute
`void` `setFeatureMapWrapperInterface(java.lang.String value)` Sets the value of the '`Feature Map Wrapper Interface`' attribute
`void` `setFeatureMapWrapperInternalInterface(java.lang.String value)` Sets the value of the '`Feature Map Wrapper Internal Interface`' attribute
`void` `setFontProviders(boolean value)` Sets the value of the '`Font Providers`' attribute
`void` `setForceOverwrite(boolean value)` Sets the value of the '`Force Overwrite`' attribute
`void` `setGenerateSchema(boolean value)` Sets the value of the '`Generate Schema`' attribute
`void` `setImporterID(java.lang.String value)` Sets the value of the '`Importer ID`' attribute
`void` `setImportManager(ImportManager importManager)`
`void` `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute
`void` `setLineDelimiter(java.lang.String lineDelimiter)`
`void` `setMinimalReflectiveMethods(boolean value)` Sets the value of the '`Minimal Reflective Methods`' attribute
`void` `setModelDirectory(java.lang.String value)` Sets the value of the '`Model Directory`' attribute
`void` `setModelName(java.lang.String value)` Sets the value of the '`Model Name`' attribute
`void` `setModelPluginClass(java.lang.String value)` Sets the value of the '`Model Plugin Class`' attribute
`void` `setModelPluginID(java.lang.String value)` Sets the value of the '`Model Plugin ID`' attribute
`void` `setNonExternalizedStringTag(java.lang.String value)` Sets the value of the '`Non Externalized String Tag`' attribute
`void` `setNonNLSMarkers(boolean value)` Sets the value of the '`Non NLS Markers`' attribute
`void` `setOptimizedHasChildren(boolean value)` Sets the value of the '`Optimized Has Children`' attribute
`void` `setPackedEnums(boolean value)` Sets the value of the '`Packed Enums`' attribute
`void` `setProviderRootExtendsClass(java.lang.String value)` Sets the value of the '`Provider Root Extends Class`' attribute
`void` `setPublicConstructors(boolean value)` Sets the value of the '`Public Constructors`' attribute
`void` `setRedirection(java.lang.String value)` Sets the value of the '`Redirection`' attribute
`void` `setReflectiveDelegation(boolean value)` Deprecated. In 2.2. Please use `setFeatureDelegation(org.eclipse.emf.codegen.ecore.genmodel.GenDelegationKind)` instead.
`void` `setRichClientPlatform(boolean value)` Sets the value of the '`Rich Client Platform`' attribute
`void` `setRootExtendsClass(java.lang.String value)` Sets the value of the '`Root Extends Class`' attribute
`void` `setRootExtendsInterface(java.lang.String value)` Sets the value of the '`Root Extends Interface`' attribute
`void` `setRootImplementsInterface(java.lang.String value)` Sets the value of the '`Root Implements Interface`' attribute
`void` `setRuntimeCompatibility(boolean value)` Sets the value of the '`Runtime Compatibility`' attribute
`void` `setRuntimeJar(boolean value)` Sets the value of the '`Runtime Jar`' attribute
`void` `setRuntimeVersion(GenRuntimeVersion value)` Sets the value of the '`Runtime Version`' attribute
`void` `setSuppressContainment(boolean value)` Sets the value of the '`Suppress Containment`' attribute
`void` `setSuppressEMFMetaData(boolean value)` Sets the value of the '`Suppress EMF Meta Data`' attribute
`void` `setSuppressEMFModelTags(boolean value)` Sets the value of the '`Suppress EMF Model Tags`' attribute
`void` `setSuppressEMFTypes(boolean value)` Sets the value of the '`Suppress EMF Types`' attribute
`void` `setSuppressGenModelAnnotations(boolean value)` Sets the value of the '`Suppress Gen Model Annotations`' attribute
`void` `setSuppressInterfaces(boolean value)` Sets the value of the '`Suppress Interfaces`' attribute
`void` `setSuppressNotification(boolean value)` Sets the value of the '`Suppress Notification`' attribute
`void` `setSuppressUnsettable(boolean value)` Sets the value of the '`Suppress Unsettable`' attribute
`void` `setTableProviders(boolean value)` Sets the value of the '`Table Providers`' attribute
`void` `setTemplateDirectory(java.lang.String value)` Sets the value of the '`Template Directory`' attribute
`void` `setTestsDirectory(java.lang.String value)` Sets the value of the '`Tests Directory`' attribute
`void` `setTestsPluginID(java.lang.String value)` Sets the value of the '`Tests Plugin ID`' attribute
`void` `setTestSuiteClass(java.lang.String value)` Sets the value of the '`Test Suite Class`' attribute
`void` `setUpdateClasspath(boolean value)` Sets the value of the '`Update Classpath`' attribute
`void` `setValidateModel(boolean validateModel)`
`void` `unsetEditDirectory()` Unsets the value of the '`Edit Directory`' attribute
`void` `unsetEditorDirectory()` Unsets the value of the '`Editor Directory`' attribute
`void` `unsetEditorPluginClass()` Unsets the value of the '`Editor Plugin Class`' attribute
`void` `unsetEditPluginClass()` Unsets the value of the '`Edit Plugin Class`' attribute
`void` `unsetRuntimeVersion()` Unsets the value of the '`Runtime Version`' attribute
`void` `unsetTestsDirectory()` Unsets the value of the '`Tests Directory`' attribute
`void` `unsetTestSuiteClass()` Unsets the value of the '`Test Suite Class`' attribute
`boolean` `useClassOverrideAnnotation()`
`boolean` `useGenerics()`
`IStatus` `validate()`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCopyrightText

    java.lang.String getCopyrightText()

  Returns the value of the 'Copyright Text' attribute.

  Returns:
    the value of the 'Copyright Text' attribute.
  See Also:
    `setCopyrightText(String)`, `GenModelPackage.getGenModel_CopyrightText()`

### setCopyrightText

    void setCopyrightText(java.lang.String value)

  Sets the value of the '`Copyright Text`' attribute.

  Parameters:
    `value` - the new value of the 'Copyright Text' attribute.
  See Also:
    `getCopyrightText()`

### getModelDirectory

    java.lang.String getModelDirectory()

  Returns the value of the 'Model Directory' attribute.

  When unset, this attribute takes a default value based on `model plugin ID`.

  Returns:
    the value of the 'Model Directory' attribute.
  See Also:
    `setModelDirectory(String)`, `GenModelPackage.getGenModel_ModelDirectory()`

### setModelDirectory

    void setModelDirectory(java.lang.String value)

  Sets the value of the '`Model Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Model Directory' attribute.
  See Also:
    `getModelDirectory()`

### isCreationCommands

    boolean isCreationCommands()

  Returns the value of the 'Creation Commands' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Creation Commands' attribute.
  See Also:
    `setCreationCommands(boolean)`, `GenModelPackage.getGenModel_CreationCommands()`

### setCreationCommands

    void setCreationCommands(boolean value)

  Sets the value of the '`Creation Commands`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Commands' attribute.
  See Also:
    `isCreationCommands()`

### isCreationIcons

    boolean isCreationIcons()

  Returns the value of the 'Creation Icons' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Creation Icons' attribute.
  See Also:
    `setCreationIcons(boolean)`, `GenModelPackage.getGenModel_CreationIcons()`

### setCreationIcons

    void setCreationIcons(boolean value)

  Sets the value of the '`Creation Icons`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Icons' attribute.
  See Also:
    `isCreationIcons()`

### getEditDirectory

    java.lang.String getEditDirectory()

  Returns the value of the 'Edit Directory' attribute.

  When unset, this attribute takes a default value based on the `model directory`.

  Returns:
    the value of the 'Edit Directory' attribute.
  See Also:
    `isSetEditDirectory()`, `unsetEditDirectory()`, `setEditDirectory(String)`, `GenModelPackage.getGenModel_EditDirectory()`

### setEditDirectory

    void setEditDirectory(java.lang.String value)

  Sets the value of the '`Edit Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Directory' attribute.
  See Also:
    `isSetEditDirectory()`, `unsetEditDirectory()`, `getEditDirectory()`

### unsetEditDirectory

    void unsetEditDirectory()

  Unsets the value of the '`Edit Directory`' attribute.

  See Also:
    `isSetEditDirectory()`, `getEditDirectory()`, `setEditDirectory(String)`

### isSetEditDirectory

    boolean isSetEditDirectory()

  Returns whether the value of the '`Edit Directory`' attribute is set.

  Returns:
    whether the value of the 'Edit Directory' attribute is set.
  See Also:
    `unsetEditDirectory()`, `getEditDirectory()`, `setEditDirectory(String)`

### isCreationSubmenus

    boolean isCreationSubmenus()

  Returns the value of the 'Creation Submenus' attribute.

  Returns:
    the value of the 'Creation Submenus' attribute.
  See Also:
    `setCreationSubmenus(boolean)`, `GenModelPackage.getGenModel_CreationSubmenus()`

### setCreationSubmenus

    void setCreationSubmenus(boolean value)

  Sets the value of the '`Creation Submenus`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Submenus' attribute.
  See Also:
    `isCreationSubmenus()`

### getEditorDirectory

    java.lang.String getEditorDirectory()

  Returns the value of the 'Editor Directory' attribute.

  When unset, this attribute takes a default value based on the `model directory`.

  Returns:
    the value of the 'Editor Directory' attribute.
  See Also:
    `isSetEditorDirectory()`, `unsetEditorDirectory()`, `setEditorDirectory(String)`, `GenModelPackage.getGenModel_EditorDirectory()`

### setEditorDirectory

    void setEditorDirectory(java.lang.String value)

  Sets the value of the '`Editor Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Editor Directory' attribute.
  See Also:
    `isSetEditorDirectory()`, `unsetEditorDirectory()`, `getEditorDirectory()`

### unsetEditorDirectory

    void unsetEditorDirectory()

  Unsets the value of the '`Editor Directory`' attribute.

  See Also:
    `isSetEditorDirectory()`, `getEditorDirectory()`, `setEditorDirectory(String)`

### isSetEditorDirectory

    boolean isSetEditorDirectory()

  Returns whether the value of the '`Editor Directory`' attribute is set.

  Returns:
    whether the value of the 'Editor Directory' attribute is set.
  See Also:
    `unsetEditorDirectory()`, `getEditorDirectory()`, `setEditorDirectory(String)`

### getModelPluginID

    java.lang.String getModelPluginID()

  Returns the value of the 'Model Plugin ID' attribute.

  This attribute is unsettable for the benefit of other attributes, whose default values are based on it. If it is unset, they will be, too.

  Returns:
    the value of the 'Model Plugin ID' attribute.
  See Also:
    `setModelPluginID(String)`, `GenModelPackage.getGenModel_ModelPluginID()`

### setModelPluginID

    void setModelPluginID(java.lang.String value)

  Sets the value of the '`Model Plugin ID`' attribute.

  Parameters:
    `value` - the new value of the 'Model Plugin ID' attribute.
  See Also:
    `getModelPluginID()`

### getTemplateDirectory

    java.lang.String getTemplateDirectory()

  Returns the value of the 'Template Directory' attribute.

  Returns:
    the value of the 'Template Directory' attribute.
  See Also:
    `setTemplateDirectory(String)`, `GenModelPackage.getGenModel_TemplateDirectory()`

### setTemplateDirectory

    void setTemplateDirectory(java.lang.String value)

  Sets the value of the '`Template Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Template Directory' attribute.
  See Also:
    `getTemplateDirectory()`

### isRuntimeJar

    boolean isRuntimeJar()

  Returns the value of the 'Runtime Jar' attribute.

  Returns:
    the value of the 'Runtime Jar' attribute.
  See Also:
    `setRuntimeJar(boolean)`, `GenModelPackage.getGenModel_RuntimeJar()`

### setRuntimeJar

    void setRuntimeJar(boolean value)

  Sets the value of the '`Runtime Jar`' attribute.

  Parameters:
    `value` - the new value of the 'Runtime Jar' attribute.
  See Also:
    `isRuntimeJar()`

### getForeignModel

    EList<java.lang.String> getForeignModel()

  Returns the value of the 'Foreign Model' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Foreign Model' attribute list.
  See Also:
    `GenModelPackage.getGenModel_ForeignModel()`

### isDynamicTemplates

    boolean isDynamicTemplates()

  Returns the value of the 'Dynamic Templates' attribute.

  Returns:
    the value of the 'Dynamic Templates' attribute.
  See Also:
    `setDynamicTemplates(boolean)`, `GenModelPackage.getGenModel_DynamicTemplates()`

### setDynamicTemplates

    void setDynamicTemplates(boolean value)

  Sets the value of the '`Dynamic Templates`' attribute.

  Parameters:
    `value` - the new value of the 'Dynamic Templates' attribute.
  See Also:
    `isDynamicTemplates()`

### getRedirection

    java.lang.String getRedirection()

  Returns the value of the 'Redirection' attribute.

  Returns:
    the value of the 'Redirection' attribute.
  See Also:
    `setRedirection(String)`, `GenModelPackage.getGenModel_Redirection()`

### setRedirection

    void setRedirection(java.lang.String value)

  Sets the value of the '`Redirection`' attribute.

  Parameters:
    `value` - the new value of the 'Redirection' attribute.
  See Also:
    `getRedirection()`

### isForceOverwrite

    boolean isForceOverwrite()

  Returns the value of the 'Force Overwrite' attribute.

  Returns:
    the value of the 'Force Overwrite' attribute.
  See Also:
    `setForceOverwrite(boolean)`, `GenModelPackage.getGenModel_ForceOverwrite()`

### setForceOverwrite

    void setForceOverwrite(boolean value)

  Sets the value of the '`Force Overwrite`' attribute.

  Parameters:
    `value` - the new value of the 'Force Overwrite' attribute.
  See Also:
    `isForceOverwrite()`

### getNonExternalizedStringTag

    java.lang.String getNonExternalizedStringTag()

  Returns the value of the 'Non Externalized String Tag' attribute.

  This attribute has been replaced by `nonNLSMarkers`. Even after the attribute has been set to a non-null value, this method will continue to return `null`, though `isNonNLSMarkers()` will return `true`.

  Returns:
    the value of the 'Non Externalized String Tag' attribute.
  See Also:
    `setNonExternalizedStringTag(String)`, `GenModelPackage.getGenModel_NonExternalizedStringTag()`

### setNonExternalizedStringTag

    void setNonExternalizedStringTag(java.lang.String value)

  Sets the value of the '`Non Externalized String Tag`' attribute.

  This attribute has been replaced by `nonNLSMarkers`. To automate the transition, this sets the attribute `null`, and calls `setNonNLSMarkers(value != null)`.

  Parameters:
    `value` - the new value of the 'Non Externalized String Tag' attribute.
  See Also:
    `getNonExternalizedStringTag()`

### getModelName

    java.lang.String getModelName()

  Returns the value of the 'Model Name' attribute.

  Returns:
    the value of the 'Model Name' attribute.
  See Also:
    `setModelName(String)`, `GenModelPackage.getGenModel_ModelName()`

### setModelName

    void setModelName(java.lang.String value)

  Sets the value of the '`Model Name`' attribute.

  Parameters:
    `value` - the new value of the 'Model Name' attribute.
  See Also:
    `getModelName()`

### getModelPluginClass

    java.lang.String getModelPluginClass()

  Returns the value of the 'Model Plugin Class' attribute.

  Returns:
    the value of the 'Model Plugin Class' attribute.
  See Also:
    `setModelPluginClass(String)`, `GenModelPackage.getGenModel_ModelPluginClass()`

### setModelPluginClass

    void setModelPluginClass(java.lang.String value)

  Sets the value of the '`Model Plugin Class`' attribute.

  Parameters:
    `value` - the new value of the 'Model Plugin Class' attribute.
  See Also:
    `getModelPluginClass()`

### getEditPluginClass

    java.lang.String getEditPluginClass()

  Returns the value of the 'Edit Plugin Class' attribute.

  When unset, this attribute takes a default value based on the `model name`, and the first of the `generated packages`.

  Returns:
    the value of the 'Edit Plugin Class' attribute.
  See Also:
    `isSetEditPluginClass()`, `unsetEditPluginClass()`, `setEditPluginClass(String)`, `GenModelPackage.getGenModel_EditPluginClass()`

### setEditPluginClass

    void setEditPluginClass(java.lang.String value)

  Sets the value of the '`Edit Plugin Class`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Plugin Class' attribute.
  See Also:
    `isSetEditPluginClass()`, `unsetEditPluginClass()`, `getEditPluginClass()`

### unsetEditPluginClass

    void unsetEditPluginClass()

  Unsets the value of the '`Edit Plugin Class`' attribute.

  See Also:
    `isSetEditPluginClass()`, `getEditPluginClass()`, `setEditPluginClass(String)`

### isSetEditPluginClass

    boolean isSetEditPluginClass()

  Returns whether the value of the '`Edit Plugin Class`' attribute is set.

  Returns:
    whether the value of the 'Edit Plugin Class' attribute is set.
  See Also:
    `unsetEditPluginClass()`, `getEditPluginClass()`, `setEditPluginClass(String)`

### getEditorPluginClass

    java.lang.String getEditorPluginClass()

  Returns the value of the 'Editor Plugin Class' attribute.

  When unset, this attribute takes a default value based on `model name`, and the first of the `generated packages`.

  Returns:
    the value of the 'Editor Plugin Class' attribute.
  See Also:
    `isSetEditorPluginClass()`, `unsetEditorPluginClass()`, `setEditorPluginClass(String)`, `GenModelPackage.getGenModel_EditorPluginClass()`

### setEditorPluginClass

    void setEditorPluginClass(java.lang.String value)

  Sets the value of the '`Editor Plugin Class`' attribute.

  Parameters:
    `value` - the new value of the 'Editor Plugin Class' attribute.
  See Also:
    `isSetEditorPluginClass()`, `unsetEditorPluginClass()`, `getEditorPluginClass()`

### unsetEditorPluginClass

    void unsetEditorPluginClass()

  Unsets the value of the '`Editor Plugin Class`' attribute.

  See Also:
    `isSetEditorPluginClass()`, `getEditorPluginClass()`, `setEditorPluginClass(String)`

### isSetEditorPluginClass

    boolean isSetEditorPluginClass()

  Returns whether the value of the '`Editor Plugin Class`' attribute is set.

  Returns:
    whether the value of the 'Editor Plugin Class' attribute is set.
  See Also:
    `unsetEditorPluginClass()`, `getEditorPluginClass()`, `setEditorPluginClass(String)`

### isUpdateClasspath

    boolean isUpdateClasspath()

  Returns the value of the 'Update Classpath' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Update Classpath' attribute.
  See Also:
    `setUpdateClasspath(boolean)`, `GenModelPackage.getGenModel_UpdateClasspath()`

### setUpdateClasspath

    void setUpdateClasspath(boolean value)

  Sets the value of the '`Update Classpath`' attribute.

  Parameters:
    `value` - the new value of the 'Update Classpath' attribute.
  See Also:
    `isUpdateClasspath()`

### isGenerateSchema

    boolean isGenerateSchema()

  Returns the value of the 'Generate Schema' attribute.

  Returns:
    the value of the 'Generate Schema' attribute.
  See Also:
    `setGenerateSchema(boolean)`, `GenModelPackage.getGenModel_GenerateSchema()`

### setGenerateSchema

    void setGenerateSchema(boolean value)

  Sets the value of the '`Generate Schema`' attribute.

  Parameters:
    `value` - the new value of the 'Generate Schema' attribute.
  See Also:
    `isGenerateSchema()`

### isNonNLSMarkers

    boolean isNonNLSMarkers()

  Returns the value of the 'Non NLS Markers' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Non NLS Markers' attribute.
  See Also:
    `setNonNLSMarkers(boolean)`, `GenModelPackage.getGenModel_NonNLSMarkers()`

### setNonNLSMarkers

    void setNonNLSMarkers(boolean value)

  Sets the value of the '`Non NLS Markers`' attribute.

  As a side effect, this method sets `nonExternalizedStringTag` to `null`.

  Parameters:
    `value` - the new value of the 'Non NLS Markers' attribute.
  See Also:
    `isNonNLSMarkers()`

### getStaticPackages

    EList<java.lang.String> getStaticPackages()

  Returns the value of the 'Static Packages' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Static Packages' attribute list.
  See Also:
    `GenModelPackage.getGenModel_StaticPackages()`

### getModelPluginVariables

    EList<java.lang.String> getModelPluginVariables()

  Returns the value of the 'Model Plugin Variables' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Model Plugin Variables' attribute list.
  See Also:
    `GenModelPackage.getGenModel_ModelPluginVariables()`

### getRootExtendsInterface

    java.lang.String getRootExtendsInterface()

  Returns the value of the 'Root Extends Interface' attribute. The default value is `"org.eclipse.emf.ecore.EObject"`.

  Returns:
    the value of the 'Root Extends Interface' attribute.
  See Also:
    `setRootExtendsInterface(String)`, `GenModelPackage.getGenModel_RootExtendsInterface()`

### setRootExtendsInterface

    void setRootExtendsInterface(java.lang.String value)

  Sets the value of the '`Root Extends Interface`' attribute.

  Parameters:
    `value` - the new value of the 'Root Extends Interface' attribute.
  See Also:
    `getRootExtendsInterface()`

### getRootExtendsClass

    java.lang.String getRootExtendsClass()

  Returns the value of the 'Root Extends Class' attribute. The default value is `"org.eclipse.emf.ecore.impl.EObjectImpl"`.

  Returns:
    the value of the 'Root Extends Class' attribute.
  See Also:
    `setRootExtendsClass(String)`, `GenModelPackage.getGenModel_RootExtendsClass()`

### setRootExtendsClass

    void setRootExtendsClass(java.lang.String value)

  Sets the value of the '`Root Extends Class`' attribute.

  Parameters:
    `value` - the new value of the 'Root Extends Class' attribute.
  See Also:
    `getRootExtendsClass()`

### getRootImplementsInterface

    java.lang.String getRootImplementsInterface()

  Returns the value of the 'Root Implements Interface' attribute.

  Returns:
    the value of the 'Root Implements Interface' attribute.
  See Also:
    `setRootImplementsInterface(String)`, `GenModelPackage.getGenModel_RootImplementsInterface()`

### getRootImplementsInterfaceGenClass

    GenClass getRootImplementsInterfaceGenClass()

### setRootImplementsInterface

    void setRootImplementsInterface(java.lang.String value)

  Sets the value of the '`Root Implements Interface`' attribute.

  Parameters:
    `value` - the new value of the 'Root Implements Interface' attribute.
  See Also:
    `getRootImplementsInterface()`

### isSuppressEMFTypes

    boolean isSuppressEMFTypes()

  Returns the value of the 'Suppress EMF Types' attribute.

  Returns:
    the value of the 'Suppress EMF Types' attribute.
  See Also:
    `setSuppressEMFTypes(boolean)`, `GenModelPackage.getGenModel_SuppressEMFTypes()`

### setSuppressEMFTypes

    void setSuppressEMFTypes(boolean value)

  Sets the value of the '`Suppress EMF Types`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress EMF Types' attribute.
  See Also:
    `isSuppressEMFTypes()`

### isSuppressEMFMetaData

    boolean isSuppressEMFMetaData()

  Returns the value of the 'Suppress EMF Meta Data' attribute.

  Returns:
    the value of the 'Suppress EMF Meta Data' attribute.
  See Also:
    `setSuppressEMFMetaData(boolean)`, `GenModelPackage.getGenModel_SuppressEMFMetaData()`

### setSuppressEMFMetaData

    void setSuppressEMFMetaData(boolean value)

  Sets the value of the '`Suppress EMF Meta Data`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress EMF Meta Data' attribute.
  See Also:
    `isSuppressEMFMetaData()`

### isSuppressEMFModelTags

    boolean isSuppressEMFModelTags()

  Returns the value of the 'Suppress EMF Model Tags' attribute.

  Returns:
    the value of the 'Suppress EMF Model Tags' attribute.
  See Also:
    `setSuppressEMFModelTags(boolean)`, `GenModelPackage.getGenModel_SuppressEMFModelTags()`

### setSuppressEMFModelTags

    void setSuppressEMFModelTags(boolean value)

  Sets the value of the '`Suppress EMF Model Tags`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress EMF Model Tags' attribute.
  See Also:
    `isSuppressEMFModelTags()`

### isSuppressInterfaces

    boolean isSuppressInterfaces()

  Returns the value of the 'Suppress Interfaces' attribute.

  Returns:
    the value of the 'Suppress Interfaces' attribute.
  See Also:
    `setSuppressInterfaces(boolean)`, `GenModelPackage.getGenModel_SuppressInterfaces()`

### setSuppressInterfaces

    void setSuppressInterfaces(boolean value)

  Sets the value of the '`Suppress Interfaces`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress Interfaces' attribute.
  See Also:
    `isSuppressInterfaces()`

### getFeatureMapWrapperInterface

    java.lang.String getFeatureMapWrapperInterface()

  Returns the value of the 'Feature Map Wrapper Interface' attribute.

  Returns:
    the value of the 'Feature Map Wrapper Interface' attribute.
  See Also:
    `setFeatureMapWrapperInterface(String)`, `GenModelPackage.getGenModel_FeatureMapWrapperInterface()`

### setFeatureMapWrapperInterface

    void setFeatureMapWrapperInterface(java.lang.String value)

  Sets the value of the '`Feature Map Wrapper Interface`' attribute.

  Parameters:
    `value` - the new value of the 'Feature Map Wrapper Interface' attribute.
  See Also:
    `getFeatureMapWrapperInterface()`

### getFeatureMapWrapperInternalInterface

    java.lang.String getFeatureMapWrapperInternalInterface()

  Returns the value of the 'Feature Map Wrapper Internal Interface' attribute.

  Returns:
    the value of the 'Feature Map Wrapper Internal Interface' attribute.
  See Also:
    `setFeatureMapWrapperInternalInterface(String)`, `GenModelPackage.getGenModel_FeatureMapWrapperInternalInterface()`

### setFeatureMapWrapperInternalInterface

    void setFeatureMapWrapperInternalInterface(java.lang.String value)

  Sets the value of the '`Feature Map Wrapper Internal Interface`' attribute.

  Parameters:
    `value` - the new value of the 'Feature Map Wrapper Internal Interface' attribute.
  See Also:
    `getFeatureMapWrapperInternalInterface()`

### getFeatureMapWrapperClass

    java.lang.String getFeatureMapWrapperClass()

  Returns the value of the 'Feature Map Wrapper Class' attribute.

  Returns:
    the value of the 'Feature Map Wrapper Class' attribute.
  See Also:
    `setFeatureMapWrapperClass(String)`, `GenModelPackage.getGenModel_FeatureMapWrapperClass()`

### setFeatureMapWrapperClass

    void setFeatureMapWrapperClass(java.lang.String value)

  Sets the value of the '`Feature Map Wrapper Class`' attribute.

  Parameters:
    `value` - the new value of the 'Feature Map Wrapper Class' attribute.
  See Also:
    `getFeatureMapWrapperClass()`

### isRuntimeCompatibility

    boolean isRuntimeCompatibility()

  Returns the value of the 'Runtime Compatibility' attribute.

  Returns:
    the value of the 'Runtime Compatibility' attribute.
  See Also:
    `setRuntimeCompatibility(boolean)`, `GenModelPackage.getGenModel_RuntimeCompatibility()`

### setRuntimeCompatibility

    void setRuntimeCompatibility(boolean value)

  Sets the value of the '`Runtime Compatibility`' attribute.

  Parameters:
    `value` - the new value of the 'Runtime Compatibility' attribute.
  See Also:
    `isRuntimeCompatibility()`

### isRichClientPlatform

    boolean isRichClientPlatform()

  Returns the value of the 'Rich Client Platform' attribute.

  Returns:
    the value of the 'Rich Client Platform' attribute.
  See Also:
    `setRichClientPlatform(boolean)`, `GenModelPackage.getGenModel_RichClientPlatform()`

### setRichClientPlatform

    void setRichClientPlatform(boolean value)

  Sets the value of the '`Rich Client Platform`' attribute.

  Parameters:
    `value` - the new value of the 'Rich Client Platform' attribute.
  See Also:
    `isRichClientPlatform()`

### isReflectiveDelegation

    boolean isReflectiveDelegation()

  Returns the value of the 'Reflective Delegation' attribute.

  Returns:
    the value of the 'Reflective Delegation' attribute.
  See Also:
    `setReflectiveDelegation(boolean)`, `GenModelPackage.getGenModel_ReflectiveDelegation()`

### setReflectiveDelegation

    @Deprecated
    void setReflectiveDelegation(boolean value)

  Deprecated. In 2.2. Please use `setFeatureDelegation(org.eclipse.emf.codegen.ecore.genmodel.GenDelegationKind)` instead.

  Sets the value of the '`Reflective Delegation`' attribute.

  Parameters:
    `value` - the new value of the 'Reflective Delegation' attribute.
  See Also:
    `isReflectiveDelegation()`

### isCodeFormatting

    boolean isCodeFormatting()

  Returns the value of the 'Code Formatting' attribute.

  Returns:
    the value of the 'Code Formatting' attribute.
  See Also:
    `setCodeFormatting(boolean)`, `GenModelPackage.getGenModel_CodeFormatting()`

### setCodeFormatting

    void setCodeFormatting(boolean value)

  Sets the value of the '`Code Formatting`' attribute.

  Parameters:
    `value` - the new value of the 'Code Formatting' attribute.
  See Also:
    `isCodeFormatting()`

### getTestsDirectory

    java.lang.String getTestsDirectory()

  Returns the value of the 'Tests Directory' attribute.

  By default, this attribute is set to null. When unset, it takes a default value based on the `model directory`.

  Returns:
    the value of the 'Tests Directory' attribute.
  See Also:
    `isSetTestsDirectory()`, `unsetTestsDirectory()`, `setTestsDirectory(String)`, `GenModelPackage.getGenModel_TestsDirectory()`

### setTestsDirectory

    void setTestsDirectory(java.lang.String value)

  Sets the value of the '`Tests Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Tests Directory' attribute.
  See Also:
    `isSetTestsDirectory()`, `unsetTestsDirectory()`, `getTestsDirectory()`

### unsetTestsDirectory

    void unsetTestsDirectory()

  Unsets the value of the '`Tests Directory`' attribute.

  See Also:
    `isSetTestsDirectory()`, `getTestsDirectory()`, `setTestsDirectory(String)`

### isSetTestsDirectory

    boolean isSetTestsDirectory()

  Returns whether the value of the '`Tests Directory`' attribute is set.

  Returns:
    whether the value of the 'Tests Directory' attribute is set.
  See Also:
    `unsetTestsDirectory()`, `getTestsDirectory()`, `setTestsDirectory(String)`

### getTestSuiteClass

    java.lang.String getTestSuiteClass()

  Returns the value of the 'Test Suite Class' attribute.

  When unset, this attribute takes a default value based on the `model name`, and the first of the `generated packages`.

  Returns:
    the value of the 'Test Suite Class' attribute.
  See Also:
    `isSetTestSuiteClass()`, `unsetTestSuiteClass()`, `setTestSuiteClass(String)`, `GenModelPackage.getGenModel_TestSuiteClass()`

### setTestSuiteClass

    void setTestSuiteClass(java.lang.String value)

  Sets the value of the '`Test Suite Class`' attribute.

  Parameters:
    `value` - the new value of the 'Test Suite Class' attribute.
  See Also:
    `isSetTestSuiteClass()`, `unsetTestSuiteClass()`, `getTestSuiteClass()`

### unsetTestSuiteClass

    void unsetTestSuiteClass()

  Unsets the value of the '`Test Suite Class`' attribute.

  See Also:
    `isSetTestSuiteClass()`, `getTestSuiteClass()`, `setTestSuiteClass(String)`

### isSetTestSuiteClass

    boolean isSetTestSuiteClass()

  Returns whether the value of the '`Test Suite Class`' attribute is set.

  Returns:
    whether the value of the 'Test Suite Class' attribute is set.
  See Also:
    `unsetTestSuiteClass()`, `getTestSuiteClass()`, `setTestSuiteClass(String)`

### getBooleanFlagsField

    java.lang.String getBooleanFlagsField()

  Returns the value of the 'Boolean Flags Field' attribute.

  Returns:
    the value of the 'Boolean Flags Field' attribute.
  See Also:
    `setBooleanFlagsField(String)`, `GenModelPackage.getGenModel_BooleanFlagsField()`

### setBooleanFlagsField

    void setBooleanFlagsField(java.lang.String value)

  Sets the value of the '`Boolean Flags Field`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Flags Field' attribute.
  See Also:
    `getBooleanFlagsField()`

### getBooleanFlagsReservedBits

    int getBooleanFlagsReservedBits()

  Returns the value of the 'Boolean Flags Reserved Bits' attribute. The default value is `"-1"`.

  Returns:
    the value of the 'Boolean Flags Reserved Bits' attribute.
  See Also:
    `setBooleanFlagsReservedBits(int)`, `GenModelPackage.getGenModel_BooleanFlagsReservedBits()`

### setBooleanFlagsReservedBits

    void setBooleanFlagsReservedBits(int value)

  Sets the value of the '`Boolean Flags Reserved Bits`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Flags Reserved Bits' attribute.
  See Also:
    `getBooleanFlagsReservedBits()`

### getImporterID

    java.lang.String getImporterID()

  Returns the value of the 'Importer ID' attribute.

  Returns:
    the value of the 'Importer ID' attribute.
  See Also:
    `setImporterID(String)`, `GenModelPackage.getGenModel_ImporterID()`

### setImporterID

    void setImporterID(java.lang.String value)

  Sets the value of the '`Importer ID`' attribute.

  Parameters:
    `value` - the new value of the 'Importer ID' attribute.
  See Also:
    `getImporterID()`

### isBundleManifest

    boolean isBundleManifest()

  Returns the value of the 'Bundle Manifest' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Bundle Manifest' attribute.
  See Also:
    `setBundleManifest(boolean)`, `GenModelPackage.getGenModel_BundleManifest()`

### setBundleManifest

    void setBundleManifest(boolean value)

  Sets the value of the '`Bundle Manifest`' attribute.

  Parameters:
    `value` - the new value of the 'Bundle Manifest' attribute.
  See Also:
    `isBundleManifest()`

### getFeatureDelegation

    GenDelegationKind getFeatureDelegation()

  Returns the value of the 'Feature Delegation' attribute. The literals are from the enumeration `GenDelegationKind`.

  Returns:
    the value of the 'Feature Delegation' attribute.
  See Also:
    `GenDelegationKind`, `setFeatureDelegation(GenDelegationKind)`, `GenModelPackage.getGenModel_FeatureDelegation()`

### setFeatureDelegation

    void setFeatureDelegation(GenDelegationKind value)

  Sets the value of the '`Feature Delegation`' attribute.

  Parameters:
    `value` - the new value of the 'Feature Delegation' attribute.
  See Also:
    `GenDelegationKind`, `getFeatureDelegation()`

### isContainmentProxies

    boolean isContainmentProxies()

  Returns the value of the 'Containment Proxies' attribute.

  Returns:
    the value of the 'Containment Proxies' attribute.
  See Also:
    `setContainmentProxies(boolean)`, `GenModelPackage.getGenModel_ContainmentProxies()`

### setContainmentProxies

    void setContainmentProxies(boolean value)

  Sets the value of the '`Containment Proxies`' attribute.

  Parameters:
    `value` - the new value of the 'Containment Proxies' attribute.
  See Also:
    `isContainmentProxies()`

### isMinimalReflectiveMethods

    boolean isMinimalReflectiveMethods()

  Returns the value of the 'Minimal Reflective Methods' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Minimal Reflective Methods' attribute.
  See Also:
    `setMinimalReflectiveMethods(boolean)`, `GenModelPackage.getGenModel_MinimalReflectiveMethods()`

### setMinimalReflectiveMethods

    void setMinimalReflectiveMethods(boolean value)

  Sets the value of the '`Minimal Reflective Methods`' attribute.

  Parameters:
    `value` - the new value of the 'Minimal Reflective Methods' attribute.
  See Also:
    `isMinimalReflectiveMethods()`

### isSuppressContainment

    boolean isSuppressContainment()

  Returns the value of the 'Suppress Containment' attribute.

  Returns:
    the value of the 'Suppress Containment' attribute.
  See Also:
    `setSuppressContainment(boolean)`, `GenModelPackage.getGenModel_SuppressContainment()`

### setSuppressContainment

    void setSuppressContainment(boolean value)

  Sets the value of the '`Suppress Containment`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress Containment' attribute.
  See Also:
    `isSuppressContainment()`

### isSuppressNotification

    boolean isSuppressNotification()

  Returns the value of the 'Suppress Notification' attribute.

  Returns:
    the value of the 'Suppress Notification' attribute.
  See Also:
    `setSuppressNotification(boolean)`, `GenModelPackage.getGenModel_SuppressNotification()`

### setSuppressNotification

    void setSuppressNotification(boolean value)

  Sets the value of the '`Suppress Notification`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress Notification' attribute.
  See Also:
    `isSuppressNotification()`

### isArrayAccessors

    boolean isArrayAccessors()

  Returns the value of the 'Array Accessors' attribute.

  Returns:
    the value of the 'Array Accessors' attribute.
  See Also:
    `setArrayAccessors(boolean)`, `GenModelPackage.getGenModel_ArrayAccessors()`

### setArrayAccessors

    void setArrayAccessors(boolean value)

  Sets the value of the '`Array Accessors`' attribute.

  Parameters:
    `value` - the new value of the 'Array Accessors' attribute.
  See Also:
    `isArrayAccessors()`

### isSuppressUnsettable

    boolean isSuppressUnsettable()

  Returns the value of the 'Suppress Unsettable' attribute.

  Returns:
    the value of the 'Suppress Unsettable' attribute.
  See Also:
    `setSuppressUnsettable(boolean)`, `GenModelPackage.getGenModel_SuppressUnsettable()`

### setSuppressUnsettable

    void setSuppressUnsettable(boolean value)

  Sets the value of the '`Suppress Unsettable`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress Unsettable' attribute.
  See Also:
    `isSuppressUnsettable()`

### getFacadeHelperClass

    java.lang.String getFacadeHelperClass()

  Returns the value of the 'Facade Helper Class' attribute. The default value is `"org.eclipse.emf.codegen.merge.java.facade.ast.ASTFacadeHelper"`. The default value must be always equals to JMerger.DEFAULT_FACADE_HELPER_CLASS.

  Returns:
    the value of the 'Facade Helper Class' attribute.
  See Also:
    `setFacadeHelperClass(String)`, `GenModelPackage.getGenModel_FacadeHelperClass()`

### setFacadeHelperClass

    void setFacadeHelperClass(java.lang.String value)

  Sets the value of the '`Facade Helper Class`' attribute.

  Parameters:
    `value` - the new value of the 'Facade Helper Class' attribute.
  See Also:
    `getFacadeHelperClass()`

### getComplianceLevel

    GenJDKLevel getComplianceLevel()

  Returns the value of the 'Compliance Level' attribute. The literals are from the enumeration `GenJDKLevel`.

  Returns:
    the value of the 'Compliance Level' attribute.
  Since:
    2.3
  See Also:
    `GenJDKLevel`, `setComplianceLevel(GenJDKLevel)`, `GenModelPackage.getGenModel_ComplianceLevel()`

### setComplianceLevel

    void setComplianceLevel(GenJDKLevel value)

  Sets the value of the '`Compliance Level`' attribute.

  Parameters:
    `value` - the new value of the 'Compliance Level' attribute.
  Since:
    2.3
  See Also:
    `GenJDKLevel`, `getComplianceLevel()`

### isSuppressGenModelAnnotations

    boolean isSuppressGenModelAnnotations()

  Returns the value of the 'Suppress Gen Model Annotations' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Suppress Gen Model Annotations' attribute.
  Since:
    2.3
  See Also:
    `setSuppressGenModelAnnotations(boolean)`, `GenModelPackage.getGenModel_SuppressGenModelAnnotations()`

### setSuppressGenModelAnnotations

    void setSuppressGenModelAnnotations(boolean value)

  Sets the value of the '`Suppress Gen Model Annotations`' attribute.

  Parameters:
    `value` - the new value of the 'Suppress Gen Model Annotations' attribute.
  Since:
    2.3
  See Also:
    `isSuppressGenModelAnnotations()`

### isCopyrightFields

    boolean isCopyrightFields()

  Returns the value of the 'Copyright Fields' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Copyright Fields' attribute.
  Since:
    2.3
  See Also:
    `setCopyrightFields(boolean)`, `GenModelPackage.getGenModel_CopyrightFields()`

### setCopyrightFields

    void setCopyrightFields(boolean value)

  Sets the value of the '`Copyright Fields`' attribute.

  Parameters:
    `value` - the new value of the 'Copyright Fields' attribute.
  Since:
    2.3
  See Also:
    `isCopyrightFields()`

### isBinaryCompatibleReflectiveMethods

    boolean isBinaryCompatibleReflectiveMethods()

  Returns the value of the 'Binary Compatible Reflective Methods' attribute.

  Returns:
    the value of the 'Binary Compatible Reflective Methods' attribute.
  Since:
    2.3
  See Also:
    `setBinaryCompatibleReflectiveMethods(boolean)`, `GenModelPackage.getGenModel_BinaryCompatibleReflectiveMethods()`

### setBinaryCompatibleReflectiveMethods

    void setBinaryCompatibleReflectiveMethods(boolean value)

  Sets the value of the '`Binary Compatible Reflective Methods`' attribute.

  Parameters:
    `value` - the new value of the 'Binary Compatible Reflective Methods' attribute.
  Since:
    2.3
  See Also:
    `isBinaryCompatibleReflectiveMethods()`

### isPublicConstructors

    boolean isPublicConstructors()

  Returns the value of the 'Public Constructors' attribute.

  Returns:
    the value of the 'Public Constructors' attribute.
  Since:
    2.3
  See Also:
    `setPublicConstructors(boolean)`, `GenModelPackage.getGenModel_PublicConstructors()`

### setPublicConstructors

    void setPublicConstructors(boolean value)

  Sets the value of the '`Public Constructors`' attribute.

  Parameters:
    `value` - the new value of the 'Public Constructors' attribute.
  Since:
    2.3
  See Also:
    `isPublicConstructors()`

### getTemplatePluginVariables

    EList<java.lang.String> getTemplatePluginVariables()

  Returns the value of the 'Template Plugin Variables' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Template Plugin Variables' attribute list.
  Since:
    2.3
  See Also:
    `GenModelPackage.getGenModel_TemplatePluginVariables()`

### getProviderRootExtendsClass

    java.lang.String getProviderRootExtendsClass()

  Returns the value of the 'Provider Root Extends Class' attribute.

  Returns:
    the value of the 'Provider Root Extends Class' attribute.
  Since:
    2.3
  See Also:
    `setProviderRootExtendsClass(String)`, `GenModelPackage.getGenModel_ProviderRootExtendsClass()`

### setProviderRootExtendsClass

    void setProviderRootExtendsClass(java.lang.String value)

  Sets the value of the '`Provider Root Extends Class`' attribute.

  Parameters:
    `value` - the new value of the 'Provider Root Extends Class' attribute.
  Since:
    2.3
  See Also:
    `getProviderRootExtendsClass()`

### getEditPluginID

    java.lang.String getEditPluginID()

  Returns the value of the 'Edit Plugin ID' attribute.

  Returns:
    the value of the 'Edit Plugin ID' attribute.
  See Also:
    `setEditPluginID(String)`, `GenModelPackage.getGenModel_EditPluginID()`

### setEditPluginID

    void setEditPluginID(java.lang.String value)

  Sets the value of the '`Edit Plugin ID`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Plugin ID' attribute.
  Since:
    2.3
  See Also:
    `getEditPluginID()`

### getEditPluginVariables

    EList<java.lang.String> getEditPluginVariables()

  Returns the value of the 'Edit Plugin Variables' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Edit Plugin Variables' attribute list.
  Since:
    2.3
  See Also:
    `GenModelPackage.getGenModel_EditPluginVariables()`

### getEditorPluginID

    java.lang.String getEditorPluginID()

  Returns the value of the 'Editor Plugin ID' attribute.

  Returns:
    the value of the 'Editor Plugin ID' attribute.
  See Also:
    `setEditorPluginID(String)`, `GenModelPackage.getGenModel_EditorPluginID()`

### setEditorPluginID

    void setEditorPluginID(java.lang.String value)

  Sets the value of the '`Editor Plugin ID`' attribute.

  Parameters:
    `value` - the new value of the 'Editor Plugin ID' attribute.
  Since:
    2.3
  See Also:
    `getEditorPluginID()`

### getEditorPluginVariables

    EList<java.lang.String> getEditorPluginVariables()

  Returns the value of the 'Editor Plugin Variables' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Editor Plugin Variables' attribute list.
  Since:
    2.3
  See Also:
    `GenModelPackage.getGenModel_EditorPluginVariables()`

### getTestsPluginID

    java.lang.String getTestsPluginID()

  Returns the value of the 'Tests Plugin ID' attribute.

  Returns:
    the value of the 'Tests Plugin ID' attribute.
  See Also:
    `setTestsPluginID(String)`, `GenModelPackage.getGenModel_TestsPluginID()`

### setTestsPluginID

    void setTestsPluginID(java.lang.String value)

  Sets the value of the '`Tests Plugin ID`' attribute.

  Parameters:
    `value` - the new value of the 'Tests Plugin ID' attribute.
  Since:
    2.3
  See Also:
    `getTestsPluginID()`

### getTestsPluginVariables

    EList<java.lang.String> getTestsPluginVariables()

  Returns the value of the 'Tests Plugin Variables' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Tests Plugin Variables' attribute list.
  Since:
    2.3
  See Also:
    `GenModelPackage.getGenModel_TestsPluginVariables()`

### isOptimizedHasChildren

    boolean isOptimizedHasChildren()

  Returns the value of the 'Optimized Has Children' attribute.

  Returns:
    the value of the 'Optimized Has Children' attribute.
  See Also:
    `setOptimizedHasChildren(boolean)`, `GenModelPackage.getGenModel_OptimizedHasChildren()`

### setOptimizedHasChildren

    void setOptimizedHasChildren(boolean value)

  Sets the value of the '`Optimized Has Children`' attribute.

  Parameters:
    `value` - the new value of the 'Optimized Has Children' attribute.
  See Also:
    `isOptimizedHasChildren()`

### isTableProviders

    boolean isTableProviders()

  Returns the value of the 'Table Providers' attribute.

  Returns:
    the value of the 'Table Providers' attribute.
  Since:
    2.4
  See Also:
    `setTableProviders(boolean)`, `GenModelPackage.getGenModel_TableProviders()`

### setTableProviders

    void setTableProviders(boolean value)

  Sets the value of the '`Table Providers`' attribute.

  Parameters:
    `value` - the new value of the 'Table Providers' attribute.
  See Also:
    `isTableProviders()`

### isColorProviders

    boolean isColorProviders()

  Returns the value of the 'Color Providers' attribute.

  Returns:
    the value of the 'Color Providers' attribute.
  Since:
    2.4
  See Also:
    `setColorProviders(boolean)`, `GenModelPackage.getGenModel_ColorProviders()`

### setColorProviders

    void setColorProviders(boolean value)

  Sets the value of the '`Color Providers`' attribute.

  Parameters:
    `value` - the new value of the 'Color Providers' attribute.
  See Also:
    `isColorProviders()`

### isFontProviders

    boolean isFontProviders()

  Returns the value of the 'Font Providers' attribute.

  Returns:
    the value of the 'Font Providers' attribute.
  Since:
    2.4
  See Also:
    `setFontProviders(boolean)`, `GenModelPackage.getGenModel_FontProviders()`

### setFontProviders

    void setFontProviders(boolean value)

  Sets the value of the '`Font Providers`' attribute.

  Parameters:
    `value` - the new value of the 'Font Providers' attribute.
  See Also:
    `isFontProviders()`

### getRuntimeVersion

    GenRuntimeVersion getRuntimeVersion()

  Returns the value of the 'Runtime Version' attribute. The literals are from the enumeration `GenRuntimeVersion`.

  Returns:
    the value of the 'Runtime Version' attribute.
  Since:
    2.4
  See Also:
    `GenRuntimeVersion`, `isSetRuntimeVersion()`, `unsetRuntimeVersion()`, `setRuntimeVersion(GenRuntimeVersion)`, `GenModelPackage.getGenModel_RuntimeVersion()`

### setRuntimeVersion

    void setRuntimeVersion(GenRuntimeVersion value)

  Sets the value of the '`Runtime Version`' attribute.

  Parameters:
    `value` - the new value of the 'Runtime Version' attribute.
  See Also:
    `GenRuntimeVersion`, `isSetRuntimeVersion()`, `unsetRuntimeVersion()`, `getRuntimeVersion()`

### unsetRuntimeVersion

    void unsetRuntimeVersion()

  Unsets the value of the '`Runtime Version`' attribute.

  See Also:
    `isSetRuntimeVersion()`, `getRuntimeVersion()`, `setRuntimeVersion(GenRuntimeVersion)`

### isSetRuntimeVersion

    boolean isSetRuntimeVersion()

  Returns whether the value of the '`Runtime Version`' attribute is set.

  Returns:
    whether the value of the 'Runtime Version' attribute is set.
  See Also:
    `unsetRuntimeVersion()`, `getRuntimeVersion()`, `setRuntimeVersion(GenRuntimeVersion)`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  Returns:
    the value of the 'Language' attribute.
  Since:
    2.4
  See Also:
    `setLanguage(String)`, `GenModelPackage.getGenModel_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### isPackedEnums

    boolean isPackedEnums()

  Returns the value of the 'Packed Enums' attribute.

  Whether the values of enum attributes should be packed in the `boolean flags field`.

  Returns:
    the value of the 'Packed Enums' attribute.
  Since:
    2.4
  See Also:
    `setPackedEnums(boolean)`, `GenModelPackage.getGenModel_PackedEnums()`

### setPackedEnums

    void setPackedEnums(boolean value)

  Sets the value of the '`Packed Enums`' attribute.

  Parameters:
    `value` - the new value of the 'Packed Enums' attribute.
  See Also:
    `isPackedEnums()`

### getGenPackages

    EList<GenPackage> getGenPackages()

  Returns the value of the 'Gen Packages' containment reference list. The list contents are of type `GenPackage`. It is bidirectional and its opposite is '`Gen Model`'.

  Returns:
    the value of the 'Gen Packages' containment reference list.
  See Also:
    `GenModelPackage.getGenModel_GenPackages()`, `GenPackage.getGenModel()`

### getUsedGenPackages

    EList<GenPackage> getUsedGenPackages()

  Returns the value of the 'Used Gen Packages' reference list. The list contents are of type `GenPackage`.

  Returns:
    the value of the 'Used Gen Packages' reference list.
  See Also:
    `GenModelPackage.getGenModel_UsedGenPackages()`

### getStaticGenPackages

    EList<GenPackage> getStaticGenPackages()

### initialize

    void initialize(java.util.Collection<? extends EPackage> ePackages)

### getDriverNumber

    java.lang.String getDriverNumber()

### getDate

    java.lang.String getDate()

### getNonNLS

    java.lang.String getNonNLS()

### getNonNLS

    java.lang.String getNonNLS(int i)

### getNonNLS

    java.lang.String getNonNLS(java.lang.String s)

### getNonNLS

    java.lang.String getNonNLS(java.lang.String s,
                               int i)

### markImportLocation

    void markImportLocation(java.lang.StringBuffer stringBuffer)

### markImportLocation

    void markImportLocation(java.lang.StringBuffer stringBuffer,
                            GenPackage genPackage)

### emitSortedImports

    void emitSortedImports()

### getIndentation

    java.lang.String getIndentation(java.lang.StringBuffer stringBuffer)

### getImportManager

    ImportManager getImportManager()

### setImportManager

    void setImportManager(ImportManager importManager)

### getLineDelimiter

    java.lang.String getLineDelimiter()

  Since:
    2.3

### setLineDelimiter

    void setLineDelimiter(java.lang.String lineDelimiter)

  Since:
    2.3

### getImportedName

    java.lang.String getImportedName(java.lang.String qualifiedName)

### addImport

    void addImport(java.lang.String qualifiedName)

### addPseudoImport

    void addPseudoImport(java.lang.String qualifiedName)

### getMergeRulesLocation

    @Deprecated
    java.lang.String getMergeRulesLocation()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator.Options` provides an equivalent way to obtain this information. This method will be removed after 2.2.

### getJControlModel

    @Deprecated
    JControlModel getJControlModel()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator` provides an equivalent to this method. This method will be removed after 2.2.

### getClassEmitter

    @Deprecated
    JETEmitter getClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEnumClassEmitter

    @Deprecated
    JETEmitter getEnumClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getFactoryClassEmitter

    @Deprecated
    JETEmitter getFactoryClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getPackageClassEmitter

    @Deprecated
    JETEmitter getPackageClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getAdapterFactoryClassEmitter

    @Deprecated
    JETEmitter getAdapterFactoryClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getSwitchClassEmitter

    @Deprecated
    JETEmitter getSwitchClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getValidatorClassEmitter

    @Deprecated
    JETEmitter getValidatorClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getPluginXMLEmitter

    @Deprecated
    JETEmitter getPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getManifestMFEmitter

    @Deprecated
    JETEmitter getManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getModelPluginClassEmitter

    @Deprecated
    JETEmitter getModelPluginClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getResourceClassEmitter

    @Deprecated
    JETEmitter getResourceClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getResourceFactoryClassEmitter

    @Deprecated
    JETEmitter getResourceFactoryClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getBuildPropertiesEmitter

    @Deprecated
    JETEmitter getBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getXMLProcessorClassEmitter

    @Deprecated
    JETEmitter getXMLProcessorClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### hasEditSupport

    boolean hasEditSupport()

### getItemProviderEmitter

    @Deprecated
    JETEmitter getItemProviderEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getItemProviderAdapterFactoryEmitter

    @Deprecated
    JETEmitter getItemProviderAdapterFactoryEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditPluginClassEmitter

    @Deprecated
    JETEmitter getEditPluginClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditPluginXMLEmitter

    @Deprecated
    JETEmitter getEditPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditManifestMFEmitter

    @Deprecated
    JETEmitter getEditManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditPluginPropertiesEmitter

    @Deprecated
    JETEmitter getEditPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditBuildPropertiesEmitter

    @Deprecated
    JETEmitter getEditBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### hasEditorSupport

    boolean hasEditorSupport()

### getEditorEmitter

    @Deprecated
    JETEmitter getEditorEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getActionBarContributorEmitter

    @Deprecated
    JETEmitter getActionBarContributorEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getModelWizardEmitter

    @Deprecated
    JETEmitter getModelWizardEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorAdvisorEmitter

    @Deprecated
    JETEmitter getEditorAdvisorEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorPluginClassEmitter

    @Deprecated
    JETEmitter getEditorPluginClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorPluginXMLEmitter

    @Deprecated
    JETEmitter getEditorPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorManifestMFEmitter

    @Deprecated
    JETEmitter getEditorManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorPluginPropertiesEmitter

    @Deprecated
    JETEmitter getEditorPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorBuildPropertiesEmitter

    @Deprecated
    JETEmitter getEditorBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### hasTestSupport

    boolean hasTestSupport()

### getTestCaseEmitter

    @Deprecated
    JETEmitter getTestCaseEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getModelTestSuiteEmitter

    @Deprecated
    JETEmitter getModelTestSuiteEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getPackageTestSuiteEmitter

    @Deprecated
    JETEmitter getPackageTestSuiteEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getPackageExampleEmitter

    @Deprecated
    JETEmitter getPackageExampleEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getTestsPluginXMLEmitter

    @Deprecated
    JETEmitter getTestsPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getTestsManifestMFEmitter

    @Deprecated
    JETEmitter getTestsManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getTestsPluginPropertiesEmitter

    @Deprecated
    JETEmitter getTestsPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getTestsBuildPropertiesEmitter

    @Deprecated
    JETEmitter getTestsBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getModelProjectDirectory

    java.lang.String getModelProjectDirectory()

### getEditProjectDirectory

    java.lang.String getEditProjectDirectory()

### getEditorProjectDirectory

    java.lang.String getEditorProjectDirectory()

### getTestsProjectDirectory

    java.lang.String getTestsProjectDirectory()

### sameModelEditProject

    boolean sameModelEditProject()

### sameEditEditorProject

    boolean sameEditEditorProject()

### sameModelEditorProject

    boolean sameModelEditorProject()

### sameModelTestsProject

    boolean sameModelTestsProject()

### getEditIconsDirectory

    java.lang.String getEditIconsDirectory()

### getEditorIconsDirectory

    java.lang.String getEditorIconsDirectory()

### setCanGenerate

    void setCanGenerate(boolean canGenerate)

### findGenPackage

    GenPackage findGenPackage(EPackage ePackage)

### findGenClassifier

    GenClassifier findGenClassifier(EClassifier eClassifier)

  Since:
    2.3

### getAllGenPackagesWithClassifiers

    java.util.List<GenPackage> getAllGenPackagesWithClassifiers()

### getAllUsedGenPackagesWithClassifiers

    java.util.List<GenPackage> getAllUsedGenPackagesWithClassifiers()

### getAllGenAndUsedGenPackagesWithClassifiers

    java.util.List<GenPackage> getAllGenAndUsedGenPackagesWithClassifiers()

### getAllGenUsedAndStaticGenPackagesWithClassifiers

    java.util.List<GenPackage> getAllGenUsedAndStaticGenPackagesWithClassifiers()

### hasModelPluginClass

    boolean hasModelPluginClass()

### hasPluginSupport

    boolean hasPluginSupport()

### getModelPluginClassName

    java.lang.String getModelPluginClassName()

### getModelPluginPackageName

    java.lang.String getModelPluginPackageName()

### getQualifiedModelPluginClassName

    java.lang.String getQualifiedModelPluginClassName()

### getEditPluginDirectory

    java.lang.String getEditPluginDirectory()

### getEditPluginClassName

    java.lang.String getEditPluginClassName()

### getEditPluginPackageName

    java.lang.String getEditPluginPackageName()

### getQualifiedEditPluginClassName

    java.lang.String getQualifiedEditPluginClassName()

### getEditorPluginDirectory

    java.lang.String getEditorPluginDirectory()

### getEditorPluginClassName

    java.lang.String getEditorPluginClassName()

### getEditorPluginPackageName

    java.lang.String getEditorPluginPackageName()

### getEditorAdvisorClassName

    java.lang.String getEditorAdvisorClassName()

### getQualifiedEditorPluginClassName

    java.lang.String getQualifiedEditorPluginClassName()

### getQualifiedEditorAdvisorClassName

    java.lang.String getQualifiedEditorAdvisorClassName()

### hasTestSuiteClass

    boolean hasTestSuiteClass()

### getTestSuiteClassName

    java.lang.String getTestSuiteClassName()

### getTestSuitePackageName

    java.lang.String getTestSuitePackageName()

### getQualifiedTestSuiteClassName

    java.lang.String getQualifiedTestSuiteClassName()

### getModelQualifiedPackageNames

    java.util.List<java.lang.String> getModelQualifiedPackageNames()

### getModelRequiredPlugins

    java.util.List<java.lang.String> getModelRequiredPlugins()

### getEditQualifiedPackageNames

    java.util.List<java.lang.String> getEditQualifiedPackageNames()

### getEditRequiredPlugins

    java.util.List<java.lang.String> getEditRequiredPlugins()

### getEditorQualifiedPackageNames

    java.util.List<java.lang.String> getEditorQualifiedPackageNames()

### getEditorRequiredPlugins

    java.util.List<java.lang.String> getEditorRequiredPlugins()

### getTestsQualifiedPackageNames

    java.util.List<java.lang.String> getTestsQualifiedPackageNames()

### getTestsRequiredPlugins

    java.util.List<java.lang.String> getTestsRequiredPlugins()

### getEditResourceDelegateImportedPluginClassNames

    java.util.List<java.lang.String> getEditResourceDelegateImportedPluginClassNames()

### reconcile

    boolean reconcile(GenModel oldGenModelVersion)

  Restore all the corresponding settings of the old version into this version.

### getMissingPackages

    java.util.List<EPackage> getMissingPackages()

### hasXMLDependency

    boolean hasXMLDependency()

### validate

    IStatus validate()

### diagnose

    Diagnostic diagnose()

### getXMLEncodingChoices

    java.lang.String getXMLEncodingChoices()

### getEffectiveModelPluginVariables

    java.util.List<java.lang.String> getEffectiveModelPluginVariables()

### needsRuntimeCompatibility

    boolean needsRuntimeCompatibility()

### getAllGenFeatures

    java.util.List<GenFeature> getAllGenFeatures()

### getFilteredAllGenFeatures

    java.util.List<GenFeature> getFilteredAllGenFeatures()

### setCodeFormatterOptions

    @Deprecated
    void setCodeFormatterOptions(java.util.Map options)

  Deprecated. In EMF 2.2, the `Generator.Options` should be used to record code formatter options in order to be used via the new Generator-based design. This method will be removed after 2.2.

  Set the code formatter options to be used to `create` a new code formatter.

### createCodeFormatter

    @Deprecated
    org.eclipse.jdt.core.formatter.CodeFormatter createCodeFormatter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Creates and returns a new JDT code formatter.

### isBooleanFlagsEnabled

    boolean isBooleanFlagsEnabled()

### createGenModel

    GenModel createGenModel()

### createGenPackage

    GenPackage createGenPackage()

### createGenClass

    GenClass createGenClass()

### createGenFeature

    GenFeature createGenFeature()

### createGenEnum

    GenEnum createGenEnum()

### createGenEnumLiteral

    GenEnumLiteral createGenEnumLiteral()

### createGenDataType

    GenDataType createGenDataType()

### createGenOperation

    GenOperation createGenOperation()

### createGenParameter

    GenParameter createGenParameter()

### createGenAnnotation

    GenAnnotation createGenAnnotation()

### create

    GenBase create(EClass eClass)

### createGenTypeParameter

    GenTypeParameter createGenTypeParameter()

  Since:
    2.3

### getPropertyCategories

    java.util.Set<java.lang.String> getPropertyCategories()

### hasLocalGenModel

    boolean hasLocalGenModel()

### getRelativeGenModelLocation

    java.lang.String getRelativeGenModelLocation()

### getPropertyCategoryKey

    java.lang.String getPropertyCategoryKey(java.lang.String category)

### getExtendedMetaData

    ExtendedMetaData getExtendedMetaData()

### computeMissingUsedGenPackages

    java.util.List<GenPackage> computeMissingUsedGenPackages()

### isVirtualDelegation

    boolean isVirtualDelegation()

### useClassOverrideAnnotation

    boolean useClassOverrideAnnotation()

  Since:
    2.3

### useGenerics

    boolean useGenerics()

  Since:
    2.3

### isValidateModel

    boolean isValidateModel()

  Since:
    2.3

### setValidateModel

    void setValidateModel(boolean validateModel)

  Since:
    2.3

### isSuppressedAnnotation

    boolean isSuppressedAnnotation(java.lang.String source)

  Since:
    2.3

### hasCopyrightField

    boolean hasCopyrightField()

  Since:
    2.3

### getCopyrightFieldLiteral

    java.lang.String getCopyrightFieldLiteral()

  Since:
    2.3

### getModelSourceFolders

    java.util.List<java.lang.String> getModelSourceFolders()

  Returns the source folders for the model project. The returned list doesn't contain duplicated elements.

  Returns:
    List<String>
  Since:
    2.4

### getEditSourceFolders

    java.util.List<java.lang.String> getEditSourceFolders()

  Returns the source folders for the edit project. The returned list doesn't contain duplicated elements.

  Returns:
    List<String>
  Since:
    2.4

### getEditorSourceFolders

    java.util.List<java.lang.String> getEditorSourceFolders()

  Returns the source folders for the editor project. The returned list doesn't contain duplicated elements.

  Returns:
    List<String>
  Since:
    2.4

### getTestsSourceFolders

    java.util.List<java.lang.String> getTestsSourceFolders()

  Returns the source folders for the tests project. The returned list doesn't contain duplicated elements.

  Returns:
    List<String>
  Since:
    2.4

### getLocale

    java.util.Locale getLocale()

  Since:
    2.4

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.